Index: /palm/trunk/SOURCE/transpose.f90
===================================================================
--- /palm/trunk/SOURCE/transpose.f90	(revision 4539)
+++ /palm/trunk/SOURCE/transpose.f90	(revision 4540)
@@ -1,20 +1,20 @@
 !> @file transpose.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
+!
 !
 ! Current revisions:
@@ -25,26 +25,30 @@
 ! -----------------
 ! $Id$
-! bugfix: cpp-directives added for serial mode
-! 
+! File re-formatted to follow the PALM coding standard
+!
+!
+! 4429 2020-02-27 15:24:30Z raasch
+! Bugfix: cpp-directives added for serial mode
+!
 ! 4415 2020-02-20 10:30:33Z raasch
-! bugfix for misplaced preprocessor directive
-! 
+! Bugfix for misplaced preprocessor directive
+!
 ! 4370 2020-01-10 14:00:44Z raasch
-! vector array renamed
-! 
+! Vector array renamed
+!
 ! 4366 2020-01-09 08:12:43Z raasch
-! modifications for NEC vectorization
-! 
+! Modifications for NEC vectorization
+!
 ! 4360 2020-01-07 11:25:50Z suehring
 ! Added missing OpenMP directives
-! 
+!
 ! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
-! 
+!
 ! 4171 2019-08-19 17:44:09Z gronemeier
-! loop reordering for performance optimization
+! Loop reordering for performance optimization
 !
 ! 3832 2019-03-28 13:16:58Z raasch
-! loop reordering for performance optimization
+! Loop reordering for performance optimization
 !
 ! 3694 2019-01-23 17:01:49Z knoop
@@ -57,7 +61,7 @@
 ! Description:
 ! ------------
-!> Resorting data for the transposition from x to y. The transposition itself
-!> is carried out in transpose_xy
-!------------------------------------------------------------------------------!
+!> Resorting data for the transposition from x to y. The transposition itself is carried out in
+!> transpose_xy.
+!--------------------------------------------------------------------------------------------------!
 
 #define __acc_fft_device ( defined( _OPENACC ) && ( defined ( __cuda_fft ) ) )
@@ -66,66 +70,14 @@
 
 
-     USE indices,                                                              &
-         ONLY:  nx
-
-     USE kinds
-
-     USE transpose_indices,                                                    &
-         ONLY:  nyn_x, nys_x, nzb_x, nzt_x
-
-     IMPLICIT NONE
-
-     REAL(wp) ::  f_in(0:nx,nys_x:nyn_x,nzb_x:nzt_x)  !<
-     REAL(wp) ::  f_inv(nys_x:nyn_x,nzb_x:nzt_x,0:nx) !<
-
-
-     INTEGER(iwp) ::  i !<
-     INTEGER(iwp) ::  j !<
-     INTEGER(iwp) ::  k !<
-!
-!-- Rearrange indices of input array in order to make data to be send
-!-- by MPI contiguous
-    !$OMP  PARALLEL PRIVATE ( i, j, k )
-    !$OMP  DO
-#if __acc_fft_device
-     !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i,j,k) &
-     !$ACC PRESENT(f_inv, f_in)
-#endif
-     DO  k = nzb_x, nzt_x
-         DO  j = nys_x, nyn_x
-             DO  i = 0, nx
-                 f_inv(j,k,i) = f_in(i,j,k)
-             ENDDO
-         ENDDO
-     ENDDO
-     !$OMP  END PARALLEL
-
- END SUBROUTINE resort_for_xy
-
-
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> Transposition of input array (f_in) from x to y. For the input array, all
-!> elements along x reside on the same PE, while after transposition, all
-!> elements along y reside on the same PE.
-!------------------------------------------------------------------------------!
- SUBROUTINE transpose_xy( f_inv, f_out )
-
-
-#if defined( __parallel )
-    USE cpulog,                                                                &
-        ONLY:  cpu_log, cpu_log_nowait, log_point_s
-#endif
-
-    USE indices,                                                               &
-        ONLY:  nx, ny
+    USE indices,                                                                                   &
+        ONLY:  nx
 
     USE kinds
 
-    USE pegrid
-
-    USE transpose_indices,                                                     &
-        ONLY:  nxl_y, nxr_y, nyn_x, nys_x, nzb_x, nzb_y, nzt_x, nzt_y
+    USE transpose_indices,                                                                         &
+        ONLY:  nyn_x,                                                                              &
+               nys_x,                                                                              &
+               nzb_x,                                                                              &
+               nzt_x
 
     IMPLICIT NONE
@@ -135,14 +87,77 @@
     INTEGER(iwp) ::  k  !<
 
-#if defined( __parallel )
-    INTEGER(iwp) ::  l  !<
-    INTEGER(iwp) ::  ys !<
-#endif
-
-    REAL(wp) ::  f_inv(nys_x:nyn_x,nzb_x:nzt_x,0:nx) !<
-    REAL(wp) ::  f_out(0:ny,nxl_y:nxr_y,nzb_y:nzt_y) !<
-
-#if defined( __parallel )
-    REAL(wp), DIMENSION(nyn_x-nys_x+1,nzb_y:nzt_y,nxl_y:nxr_y,0:pdims(2)-1) ::  work !<
+    REAL(wp) ::  f_in(0:nx,nys_x:nyn_x,nzb_x:nzt_x)   !<
+    REAL(wp) ::  f_inv(nys_x:nyn_x,nzb_x:nzt_x,0:nx)  !<
+
+!
+!-- Rearrange indices of input array in order to make data to be send by MPI contiguous
+    !$OMP  PARALLEL PRIVATE ( i, j, k )
+    !$OMP  DO
+#if __acc_fft_device
+    !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i,j,k) &
+    !$ACC PRESENT(f_inv, f_in)
+#endif
+    DO  k = nzb_x, nzt_x
+        DO  j = nys_x, nyn_x
+            DO  i = 0, nx
+               f_inv(j,k,i) = f_in(i,j,k)
+            ENDDO
+        ENDDO
+    ENDDO
+    !$OMP  END PARALLEL
+
+ END SUBROUTINE resort_for_xy
+
+
+!--------------------------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Transposition of input array (f_in) from x to y. For the input array, all elements along x reside
+!> on the same PE, while after transposition, all elements along y reside on the same PE.
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE transpose_xy( f_inv, f_out )
+
+
+#if defined( __parallel )
+    USE cpulog,                                                                                    &
+        ONLY:  cpu_log,                                                                            &
+               cpu_log_nowait,                                                                     &
+               log_point_s
+#endif
+
+    USE indices,                                                                                   &
+        ONLY:  nx,                                                                                 &
+               ny
+
+    USE kinds
+
+    USE pegrid
+
+    USE transpose_indices,                                                                         &
+        ONLY:  nxl_y,                                                                              &
+               nxr_y,                                                                              &
+               nyn_x,                                                                              &
+               nys_x,                                                                              &
+               nzb_x,                                                                              &
+               nzb_y,                                                                              &
+               nzt_x,                                                                              &
+               nzt_y
+
+    IMPLICIT NONE
+
+    INTEGER(iwp) ::  i  !<
+    INTEGER(iwp) ::  j  !<
+    INTEGER(iwp) ::  k  !<
+
+#if defined( __parallel )
+    INTEGER(iwp) ::  l   !<
+    INTEGER(iwp) ::  ys  !<
+#endif
+
+    REAL(wp) ::  f_inv(nys_x:nyn_x,nzb_x:nzt_x,0:nx)  !<
+    REAL(wp) ::  f_out(0:ny,nxl_y:nxr_y,nzb_y:nzt_y)  !<
+
+#if defined( __parallel )
+    REAL(wp), DIMENSION(nyn_x-nys_x+1,nzb_y:nzt_y,nxl_y:nxr_y,0:pdims(2)-1) ::  work  !<
 #if __acc_fft_device
     !$ACC DECLARE CREATE(work)
@@ -167,7 +182,6 @@
 
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLTOALL( f_inv(nys_x,nzb_x,0),  sendrecvcount_xy, MPI_REAL, &
-                          work(1,nzb_y,nxl_y,0), sendrecvcount_xy, MPI_REAL, &
-                          comm1dy, ierr )
+       CALL MPI_ALLTOALL( f_inv(nys_x,nzb_x,0),  sendrecvcount_xy, MPI_REAL,                       &
+                          work(1,nzb_y,nxl_y,0), sendrecvcount_xy, MPI_REAL, comm1dy, ierr )
 
 #if __acc_fft_device
@@ -227,79 +241,21 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Resorting data after the transposition from x to z. The transposition itself
-!> is carried out in transpose_xz
-!------------------------------------------------------------------------------!
+!> Resorting data after the transposition from x to z. The transposition itself is carried out in
+!> transpose_xz.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE resort_for_xz( f_inv, f_out )
 
 
-     USE indices,                                                              &
-         ONLY:  nxl, nxr, nyn, nys, nz
-
-     USE kinds
-
-     IMPLICIT NONE
-
-     REAL(wp) ::  f_inv(nys:nyn,nxl:nxr,1:nz) !<
-     REAL(wp) ::  f_out(1:nz,nys:nyn,nxl:nxr) !<
-
-     INTEGER(iwp) ::  i !<
-     INTEGER(iwp) ::  j !<
-     INTEGER(iwp) ::  k !<
-!
-!-- Rearrange indices of input array in order to make data to be send
-!-- by MPI contiguous.
-!-- In case of parallel fft/transposition, scattered store is faster in
-!-- backward direction!!!
-    !$OMP  PARALLEL PRIVATE ( i, j, k )
-    !$OMP  DO
-#if __acc_fft_device
-     !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i,j,k) &
-     !$ACC PRESENT(f_out, f_inv)
-#endif
-     DO  i = nxl, nxr
-         DO  j = nys, nyn
-             DO  k = 1, nz
-                 f_out(k,j,i) = f_inv(j,i,k)
-             ENDDO
-         ENDDO
-     ENDDO
-     !$OMP  END PARALLEL
-
- END SUBROUTINE resort_for_xz
-
-
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> Transposition of input array (f_in) from x to z. For the input array, all
-!> elements along x reside on the same PE, while after transposition, all
-!> elements along z reside on the same PE.
-!------------------------------------------------------------------------------!
- SUBROUTINE transpose_xz( f_in, f_inv )
-
-#if defined( __parallel )
-    USE cpulog,                                                                &
-        ONLY:  cpu_log, cpu_log_nowait, log_point_s
-
-    USE fft_xy,                                                                &
-        ONLY:  f_vec_x, temperton_fft_vec
-#endif
-
-    USE indices,                                                               &
-        ONLY:  nx, nxl, nxr, nyn, nys, nz
-#if defined( __parallel )
-    USE indices,                                                               &
-        ONLY:  nnx
-#endif
+    USE indices,                                                                                   &
+        ONLY:  nxl,                                                                                &
+               nxr,                                                                                &
+               nyn,                                                                                &
+               nys,                                                                                &
+               nz
 
     USE kinds
-
-    USE pegrid
-
-    USE transpose_indices,                                                     &
-        ONLY:  nyn_x, nys_x, nzb_x, nzt_x
 
     IMPLICIT NONE
@@ -308,15 +264,88 @@
     INTEGER(iwp) ::  j  !<
     INTEGER(iwp) ::  k  !<
-#if defined( __parallel )
-    INTEGER(iwp) ::  l  !<
-    INTEGER(iwp) ::  mm !<
-    INTEGER(iwp) ::  xs !<
-#endif
-
-    REAL(wp) ::  f_in(0:nx,nys_x:nyn_x,nzb_x:nzt_x) !<
-    REAL(wp) ::  f_inv(nys:nyn,nxl:nxr,1:nz) !<
-
-#if defined( __parallel )
-    REAL(wp), DIMENSION(nys_x:nyn_x,nnx,nzb_x:nzt_x,0:pdims(1)-1) ::  work !<
+
+    REAL(wp) ::  f_inv(nys:nyn,nxl:nxr,1:nz)  !<
+    REAL(wp) ::  f_out(1:nz,nys:nyn,nxl:nxr)  !<
+
+!
+!-- Rearrange indices of input array in order to make data to be send by MPI contiguous.
+!-- In case of parallel fft/transposition, scattered store is faster in backward direction!!!
+   !$OMP  PARALLEL PRIVATE ( i, j, k )
+   !$OMP  DO
+#if __acc_fft_device
+   !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i,j,k) &
+   !$ACC PRESENT(f_out, f_inv)
+#endif
+    DO  i = nxl, nxr
+        DO  j = nys, nyn
+            DO  k = 1, nz
+               f_out(k,j,i) = f_inv(j,i,k)
+            ENDDO
+        ENDDO
+    ENDDO
+    !$OMP  END PARALLEL
+
+ END SUBROUTINE resort_for_xz
+
+
+!--------------------------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Transposition of input array (f_in) from x to z. For the input array, all elements along x reside
+!> on the same PE, while after transposition, all elements along z reside on the same PE.
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE transpose_xz( f_in, f_inv )
+
+#if defined( __parallel )
+    USE cpulog,                                                                                    &
+        ONLY:  cpu_log,                                                                            &
+               cpu_log_nowait,                                                                     &
+               log_point_s
+
+    USE fft_xy,                                                                                    &
+        ONLY:  f_vec_x,                                                                            &
+               temperton_fft_vec
+#endif
+
+    USE indices,                                                                                   &
+        ONLY:  nx,                                                                                 &
+               nxl,                                                                                &
+               nxr,                                                                                &
+               nyn,                                                                                &
+               nys,                                                                                &
+               nz
+
+#if defined( __parallel )
+    USE indices,                                                                                   &
+        ONLY:  nnx
+#endif
+
+    USE kinds
+
+    USE pegrid
+
+    USE transpose_indices,                                                                         &
+        ONLY:  nyn_x,                                                                              &
+               nys_x,                                                                              &
+               nzb_x,                                                                              &
+               nzt_x
+
+    IMPLICIT NONE
+
+    INTEGER(iwp) ::  i  !<
+    INTEGER(iwp) ::  j  !<
+    INTEGER(iwp) ::  k  !<
+
+#if defined( __parallel )
+    INTEGER(iwp) ::  l   !<
+    INTEGER(iwp) ::  mm  !<
+    INTEGER(iwp) ::  xs  !<
+#endif
+
+    REAL(wp) ::  f_in(0:nx,nys_x:nyn_x,nzb_x:nzt_x)  !<
+    REAL(wp) ::  f_inv(nys:nyn,nxl:nxr,1:nz)         !<
+
+#if defined( __parallel )
+    REAL(wp), DIMENSION(nys_x:nyn_x,nnx,nzb_x:nzt_x,0:pdims(1)-1) ::  work  !<
 #if __acc_fft_device
     !$ACC DECLARE CREATE(work)
@@ -325,6 +354,6 @@
 
     !
-    !-- If the PE grid is one-dimensional along y, the array has only to be
-    !-- reordered locally and therefore no transposition has to be done.
+    !-- If the PE grid is one-dimensional along y, the array has only to be reordered locally and
+    !-- therefore no transposition has to be done.
     IF ( pdims(1) /= 1 )  THEN
 
@@ -383,7 +412,6 @@
 
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLTOALL( work(nys_x,1,nzb_x,0), sendrecvcount_zx, MPI_REAL, &
-                          f_inv(nys,nxl,1),      sendrecvcount_zx, MPI_REAL, &
-                          comm1dx, ierr )
+       CALL MPI_ALLTOALL( work(nys_x,1,nzb_x,0), sendrecvcount_zx, MPI_REAL,                       &
+                          f_inv(nys,nxl,1),      sendrecvcount_zx, MPI_REAL, comm1dx, ierr )
 
 #if __acc_fft_device
@@ -422,75 +450,23 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Resorting data after the transposition from y to x. The transposition itself
-!> is carried out in transpose_yx
-!------------------------------------------------------------------------------!
+!> Resorting data after the transposition from y to x. The transposition itself is carried out in
+!> transpose_yx.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE resort_for_yx( f_inv, f_out )
 
 
-     USE indices,                                                              &
-         ONLY:  nx
-
-     USE kinds
-
-     USE transpose_indices,                                                    &
-         ONLY:  nyn_x, nys_x, nzb_x, nzt_x
-
-     IMPLICIT NONE
-
-     REAL(wp) ::  f_inv(nys_x:nyn_x,nzb_x:nzt_x,0:nx) !<
-     REAL(wp) ::  f_out(0:nx,nys_x:nyn_x,nzb_x:nzt_x) !<
-
-
-     INTEGER(iwp) ::  i !<
-     INTEGER(iwp) ::  j !<
-     INTEGER(iwp) ::  k !<
-!
-!-- Rearrange indices of input array in order to make data to be send
-!-- by MPI contiguous
-    !$OMP  PARALLEL PRIVATE ( i, j, k )
-    !$OMP  DO
-#if __acc_fft_device
-     !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i,j,k) &
-     !$ACC PRESENT(f_out, f_inv)
-#endif
-     DO  k = nzb_x, nzt_x
-         DO  j = nys_x, nyn_x
-             DO  i = 0, nx
-                 f_out(i,j,k) = f_inv(j,k,i)
-             ENDDO
-         ENDDO
-     ENDDO
-     !$OMP  END PARALLEL
-
- END SUBROUTINE resort_for_yx
-
-
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> Transposition of input array (f_in) from y to x. For the input array, all
-!> elements along y reside on the same PE, while after transposition, all
-!> elements along x reside on the same PE.
-!------------------------------------------------------------------------------!
- SUBROUTINE transpose_yx( f_in, f_inv )
-
-
-#if defined( __parallel )
-    USE cpulog,                                                                &
-        ONLY:  cpu_log, cpu_log_nowait, log_point_s
-#endif
-
-    USE indices,                                                               &
-        ONLY:  nx, ny
+    USE indices,                                                                                   &
+        ONLY:  nx
 
     USE kinds
 
-    USE pegrid
-
-    USE transpose_indices,                                                     &
-        ONLY:  nxl_y, nxr_y, nyn_x, nys_x, nzb_x, nzb_y, nzt_x, nzt_y
+    USE transpose_indices,                                                                         &
+        ONLY:  nyn_x,                                                                              &
+               nys_x,                                                                              &
+               nzb_x,                                                                              &
+               nzt_x
 
     IMPLICIT NONE
@@ -499,14 +475,78 @@
     INTEGER(iwp) ::  j  !<
     INTEGER(iwp) ::  k  !<
-#if defined( __parallel )
-    INTEGER(iwp) ::  l  !<
-    INTEGER(iwp) ::  ys !<
-#endif
-
-    REAL(wp) ::  f_in(0:ny,nxl_y:nxr_y,nzb_y:nzt_y)  !<
-    REAL(wp) ::  f_inv(nys_x:nyn_x,nzb_x:nzt_x,0:nx) !<
-
-#if defined( __parallel )
-    REAL(wp), DIMENSION(nyn_x-nys_x+1,nzb_y:nzt_y,nxl_y:nxr_y,0:pdims(2)-1) ::  work !<
+
+    REAL(wp) ::  f_inv(nys_x:nyn_x,nzb_x:nzt_x,0:nx)  !<
+    REAL(wp) ::  f_out(0:nx,nys_x:nyn_x,nzb_x:nzt_x)  !<
+
+!
+!-- Rearrange indices of input array in order to make data to be send by MPI contiguous.
+   !$OMP  PARALLEL PRIVATE ( i, j, k )
+   !$OMP  DO
+#if __acc_fft_device
+   !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i,j,k) &
+   !$ACC PRESENT(f_out, f_inv)
+#endif
+    DO  k = nzb_x, nzt_x
+        DO  j = nys_x, nyn_x
+            DO  i = 0, nx
+               f_out(i,j,k) = f_inv(j,k,i)
+            ENDDO
+        ENDDO
+    ENDDO
+    !$OMP  END PARALLEL
+
+ END SUBROUTINE resort_for_yx
+
+
+!--------------------------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Transposition of input array (f_in) from y to x. For the input array, all  elements along y
+!> reside on the same PE, while after transposition, all elements along x reside on the same PE.
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE transpose_yx( f_in, f_inv )
+
+
+#if defined( __parallel )
+    USE cpulog,                                                                                    &
+        ONLY:  cpu_log,                                                                            &
+               cpu_log_nowait,                                                                     &
+               log_point_s
+#endif
+
+    USE indices,                                                                                   &
+        ONLY:  nx,                                                                                 &
+               ny
+
+    USE kinds
+
+    USE pegrid
+
+    USE transpose_indices,                                                                         &
+        ONLY:  nxl_y,                                                                              &
+               nxr_y,                                                                              &
+               nyn_x,                                                                              &
+               nys_x,                                                                              &
+               nzb_x,                                                                              &
+               nzb_y,                                                                              &
+               nzt_x,                                                                              &
+               nzt_y
+
+    IMPLICIT NONE
+
+    INTEGER(iwp) ::  i  !<
+    INTEGER(iwp) ::  j  !<
+    INTEGER(iwp) ::  k  !<
+
+#if defined( __parallel )
+    INTEGER(iwp) ::  l   !<
+    INTEGER(iwp) ::  ys  !<
+#endif
+
+    REAL(wp) ::  f_in(0:ny,nxl_y:nxr_y,nzb_y:nzt_y)   !<
+    REAL(wp) ::  f_inv(nys_x:nyn_x,nzb_x:nzt_x,0:nx)  !<
+
+#if defined( __parallel )
+    REAL(wp), DIMENSION(nyn_x-nys_x+1,nzb_y:nzt_y,nxl_y:nxr_y,0:pdims(2)-1) ::  work  !<
 #if __acc_fft_device
     !$ACC DECLARE CREATE(work)
@@ -552,7 +592,6 @@
 
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLTOALL( work(1,nzb_y,nxl_y,0), sendrecvcount_xy, MPI_REAL, &
-                          f_inv(nys_x,nzb_x,0),  sendrecvcount_xy, MPI_REAL, &
-                          comm1dy, ierr )
+       CALL MPI_ALLTOALL( work(1,nzb_y,nxl_y,0), sendrecvcount_xy, MPI_REAL,                       &
+                          f_inv(nys_x,nzb_x,0),  sendrecvcount_xy, MPI_REAL, comm1dy, ierr )
 
 #if __acc_fft_device
@@ -570,5 +609,5 @@
 
 !
-!--    Reorder array f_in the same way as ALLTOALL did it
+!--    Reorder array f_in the same way as ALLTOALL did it.
 !$OMP  PARALLEL PRIVATE ( i, j, k )
 !$OMP  DO
@@ -591,22 +630,29 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Transposition of input array (f_in) from y to x. For the input array, all
-!> elements along y reside on the same PE, while after transposition, all
-!> elements along x reside on the same PE.
-!> This is a direct transposition for arrays with indices in regular order
-!> (k,j,i) (cf. transpose_yx).
-!------------------------------------------------------------------------------!
+!> Transposition of input array (f_in) from y to x. For the input array, all elements along y reside
+!> on the same PE, while after transposition, all elements along x reside on the same PE. This is a
+!> direct transposition for arrays with indices in regular order (k,j,i) (cf. transpose_yx).
+!--------------------------------------------------------------------------------------------------!
 #if defined( __parallel )
  SUBROUTINE transpose_yxd( f_in, f_out )
 
 
-    USE cpulog,                                                                &
-        ONLY:  cpu_log, log_point_s
-
-    USE indices,                                                               &
-        ONLY:  nnx, nny, nnz, nx, nxl, nxr, nyn, nys, nz
+    USE cpulog,                                                                                    &
+        ONLY:  cpu_log,                                                                            &
+               log_point_s
+
+    USE indices,                                                                                   &
+        ONLY:  nnx,                                                                                &
+               nny,                                                                                &
+               nnz,                                                                                &
+               nx,                                                                                 &
+               nxl,                                                                                &
+               nxr,                                                                                &
+               nyn,                                                                                &
+               nys,                                                                                &
+               nz
 
     USE kinds
@@ -614,24 +660,26 @@
     USE pegrid
 
-    USE transpose_indices,                                                     &
-        ONLY:  nyn_x, nys_x, nzb_x, nzt_x
+    USE transpose_indices,                                                                         &
+        ONLY:  nyn_x,                                                                              &
+               nys_x,                                                                              &
+               nzb_x,                                                                              &
+               nzt_x
 
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i  !<
-    INTEGER(iwp) ::  j  !<
-    INTEGER(iwp) ::  k  !<
-    INTEGER(iwp) ::  l  !<
-    INTEGER(iwp) ::  m  !<
-    INTEGER(iwp) ::  xs !<
-
-    REAL(wp) ::  f_in(1:nz,nys:nyn,nxl:nxr)          !<
-    REAL(wp) ::  f_inv(nxl:nxr,1:nz,nys:nyn)         !<
-    REAL(wp) ::  f_out(0:nx,nys_x:nyn_x,nzb_x:nzt_x) !<
-    REAL(wp) ::  work(nnx*nny*nnz)                   !<
-
-!
-!-- Rearrange indices of input array in order to make data to be send
-!-- by MPI contiguous
+    INTEGER(iwp) ::  i   !<
+    INTEGER(iwp) ::  j   !<
+    INTEGER(iwp) ::  k   !<
+    INTEGER(iwp) ::  l   !<
+    INTEGER(iwp) ::  m   !<
+    INTEGER(iwp) ::  xs  !<
+
+    REAL(wp) ::  f_in(1:nz,nys:nyn,nxl:nxr)           !<
+    REAL(wp) ::  f_inv(nxl:nxr,1:nz,nys:nyn)          !<
+    REAL(wp) ::  f_out(0:nx,nys_x:nyn_x,nzb_x:nzt_x)  !<
+    REAL(wp) ::  work(nnx*nny*nnz)                    !<
+
+!
+!-- Rearrange indices of input array in order to make data to be send by MPI contiguous.
     DO  k = 1, nz
        DO  j = nys, nyn
@@ -646,7 +694,6 @@
     CALL cpu_log( log_point_s(32), 'mpi_alltoall', 'start' )
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLTOALL( f_inv(nxl,1,nys), sendrecvcount_xy, MPI_REAL, &
-                       work(1),          sendrecvcount_xy, MPI_REAL, &
-                       comm1dx, ierr )
+    CALL MPI_ALLTOALL( f_inv(nxl,1,nys), sendrecvcount_xy, MPI_REAL,                               &
+                       work(1), sendrecvcount_xy, MPI_REAL, comm1dx, ierr )
     CALL cpu_log( log_point_s(32), 'mpi_alltoall', 'stop' )
 
